/* Section Pagination */
#multiple-card-page .pagination a {
  font-weight: bold;
  font-size: 18px;
  color: black;
  float: left;
  padding: 8px 16px;
  text-decoration: none;
  border: 1px solid black;
}

#multiple-card-page .pagination a.active, #search-result .pagination a.active {
  background-color: #f19e1f;
}

#multiple-card-page .pagination a:hover:not(.active) {
  background-color: skyblue;
}


.pagination a{
  vertical-align: middle;
  align-self: center;
}


/* Mobile view: show ellipsis after 3rd page */
@media (max-width: 767px) {
  .pagination a:nth-of-type(n+3):not(.active) {
      display: none;
  }
  .pagination a:nth-of-type(3) {
      display: inline-block;
  }

  .pagination a:nth-last-child(3), .pagination a:last-child{
    display: inline-block !important;
  }
}

@media (max-width: 374px) {
  .pagination a:nth-last-child(2){
    display: none !important;
  }
}

/* Desktop view: show ellipsis after 5th page */
@media (min-width: 768px) {
  .pagination a:nth-of-type(6) {
    display: inline-block;
  }

  .pagination a:nth-of-type(1), .pagination a:nth-last-child(1){
    display: inline-block !important;
  }
}